Search - Post Search Along Route
Applies to: see pricing tiers.
The Search Along Route endpoint allows you to perform a fuzzy search for POIs along a specified route. This search is constrained by specifying the maxDetourTime limiting measure.
To send the route-points you will use a POST request where the request body will contain the route object represented as a GeoJSON LineString type and the Content-Type header will be set to application/json. Each route-point in route is represented as a GeoJSON Position type i.e. an array where the longitude value is followed by the latitude value and the altitude value is ignored. The route should contain at least 2 route-points.
It is possible that original route will be altered, some of it's points may be skipped. If the route that passes through the found point is faster than the original one, the detourTime value in the response is negative.
POST https://atlas.microsoft.com/search/alongRoute/{format}?api-version=1.0&query={query}&maxDetourTime={maxDetourTime}
POST https://atlas.microsoft.com/search/alongRoute/{format}?api-version=1.0&query={query}&maxDetourTime={maxDetourTime}&limit={limit}&brandSet={brandSet}&categorySet={categorySet}&connectorSet={connectorSet}&view={view}&openingHours=nextSevenDays
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
format
|
path | True |
Desired format of the response. Value can be either json or xml. |
|
|
api-version
|
query | True |
|
Version number of Azure Maps API. |
|
max
|
query | True |
|
Maximum detour time of the point of interest in seconds. Max value is 3600 seconds |
|
query
|
query | True |
|
The POI name to search for (e.g., "statue of liberty", "starbucks", "pizza"). Must be properly URL encoded. |
|
brand
|
query |
|
A comma-separated list of brand names which could be used to restrict the result to specific brands. Item order does not matter. When multiple brands are provided, only results that belong to (at least) one of the provided list will be returned. Brands that contain a "," in their name should be put into quotes. Usage examples: brandSet=Foo brandSet=Foo,Bar brandSet="A,B,C Comma",Bar |
|
|
category
|
query |
|
A comma-separated list of category set IDs which could be used to restrict the result to specific Points of Interest categories. ID order does not matter. When multiple category identifiers are provided, only POIs that belong to (at least) one of the categories from the provided list will be returned. The list of supported categories can be discovered using POI Categories API. Usage examples:
|
|
|
connector
|
query |
|
A comma-separated list of connector types which could be used to restrict the result to Electric Vehicle Station supporting specific connector types. Item order does not matter. When multiple connector types are provided, only results that belong to (at least) one of the provided list will be returned. Available connector types are:
Usage examples: connectorSet=IEC62196Type2CableAttached connectorSet=IEC62196Type2Outlet,IEC62196Type2CableAttached |
|
|
limit
|
query |
|
Maximum number of responses that will be returned. Default value is 10. Max value is 20 |
|
|
opening
|
query |
Hours of operation for a POI (Points of Interest). The availability of hours of operation will vary based on the data available. If not passed, then no opening hours information will be returned. Supported value: nextSevenDays |
||
|
view
|
query |
The View parameter (also called the "user region" parameter) allows you to show the correct maps for a certain country/region for geopolitically disputed regions. Different countries have different views of such regions, and the View parameter allows your application to comply with the view required by the country your application will be serving. By default, the View parameter is set to “Unified” even if you haven’t defined it in the request. It is your responsibility to determine the location of your users, and then set the View parameter correctly for that location. Alternatively, you have the option to set ‘View=Auto’, which will return the map data based on the IP address of the request. The View parameter in Azure Maps must be used in compliance with applicable laws, including those regarding mapping, of the country where maps, images and other data and third party content that you are authorized to access via Azure Maps is made available. Example: view=IN. Please refer to Supported Views for details and to see the available Views. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| x-ms-client-id |
|
Specifies which account is intended for usage in conjunction with the Azure AD security model. It represents a unique ID for the Azure Maps account and can be retrieved from the Azure Maps management plane Account API. To use Azure AD security in Azure Maps see the following articles for guidance. |
Request Body
| Name | Type | Description |
|---|---|---|
| route |
A valid |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
An unexpected error occurred. |
Security
AADToken
These are the Azure Active Directory OAuth2 Flows. When paired with Azure role-based access control it can be used to control access to Azure Maps REST APIs. Azure role-based access controls are used to designate access to one or more Azure Maps resource account or sub-resources. Any user, group, or service principal can be granted access via a built-in role or a custom role composed of one or more permissions to Azure Maps REST APIs.
To implement scenarios, we recommend viewing authentication concepts. In summary, this security definition provides a solution for modeling application(s) via objects capable of access control on specific APIs and scopes.
Notes
- This security definition requires the use of the
x-ms-client-idheader to indicate which Azure Maps resource the application is requesting access to. This can be acquired from the Maps management API.
The Authorization URL is specific to the Azure public cloud instance. Sovereign clouds have unique Authorization URLs and Azure Active directory configurations.
*
The Azure role-based access control is configured from the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
*
Usage of the Azure Maps Web SDK allows for configuration based setup of an application for multiple use cases.
- Currently, Azure Active Directory v1.0 or v2.0 supports Work, School, and Guests but does not support Personal accounts.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| https://atlas.microsoft.com/.default | https://atlas.microsoft.com/.default |
subscription-key
This is a shared key that is provisioned when creating an Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
With this key, any application is authorized to access all REST APIs. In other words, these can currently be treated as master keys to the account which they are issued for.
For publicly exposed applications, our recommendation is to use server-to-server access of Azure Maps REST APIs where this key can be securely stored.
Type:
apiKey
In:
query
SAS Token
This is a shared access signature token is created from the List SAS operation on the Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
With this token, any application is authorized to access with Azure role-based access controls and fine-grain control to the expiration, rate, and region(s) of use for the particular token. In other words, the SAS Token can be used to allow applications to control access in a more secured way than the shared key.
For publicly exposed applications, our recommendation is to configure a specific list of allowed origins on the Map account resource to limit rendering abuse and regularly renew the SAS Token.
Type:
apiKey
In:
header
Examples
Search for burger joints along a route
Sample Request
POST https://atlas.microsoft.com/search/alongRoute/json?api-version=1.0&query=burger&maxDetourTime=1000&limit=2&openingHours=nextSevenDays
{
"route": {
"type": "LineString",
"coordinates": [
[
-122.143035,
47.653536
],
[
-122.187164,
47.617556
],
[
-122.114981,
47.570599
],
[
-122.132756,
47.654009
]
]
}
}
Sample Response
{
"summary": {
"query": "burger",
"queryType": "NON_NEAR",
"queryTime": 394,
"numResults": 2,
"offset": 0,
"totalResults": 2,
"fuzzyLevel": 1
},
"results": [
{
"type": "POI",
"id": "US/POI/p0/8596348",
"score": 3.104,
"dist": 1754.9604168059973,
"info": "search:ta:840531000465150-US",
"poi": {
"name": "BURGER KING",
"phone": "+(1)-(425)-7467508",
"brands": [
{
"name": "BURGER KING"
}
],
"categorySet": [
{
"id": 7315015
}
],
"url": "www.burgerking.com",
"classifications": [
{
"code": "RESTAURANT",
"names": [
{
"nameLocale": "en-US",
"name": "restaurant"
},
{
"nameLocale": "en-US",
"name": "fast food"
}
]
}
]
},
"address": {
"streetNumber": "14620",
"streetName": "NE 24th St",
"municipalitySubdivision": "Crossroads, Bellevue",
"municipality": "Bellevue",
"countrySecondarySubdivision": "King",
"countryTertiarySubdivision": "Seattle East",
"countrySubdivision": "WA",
"postalCode": "98007",
"countryCode": "US",
"country": "United States",
"countryCodeISO3": "USA",
"freeformAddress": "14620 NE 24th St, Bellevue, WA 98007",
"localName": "Bellevue",
"countrySubdivisionName": "Washington"
},
"position": {
"lat": 47.63188,
"lon": -122.14462
},
"viewport": {
"topLeftPoint": {
"lat": 47.63278,
"lon": -122.14595
},
"btmRightPoint": {
"lat": 47.63098,
"lon": -122.14329
}
},
"entryPoints": [
{
"type": "main",
"position": {
"lat": 47.63155,
"lon": -122.14462
}
}
],
"detourTime": -55
},
{
"type": "POI",
"id": "US/POI/p0/8596112",
"score": 3.111,
"dist": 161.17565489389224,
"info": "search:ta:840531000465149-US",
"poi": {
"name": "BURGER KING",
"phone": "+(1)-(425)-4535775",
"brands": [
{
"name": "BURGER KING"
}
],
"categorySet": [
{
"id": 7315015
}
],
"url": "www.burgerking.com",
"classifications": [
{
"code": "RESTAURANT",
"names": [
{
"nameLocale": "en-US",
"name": "restaurant"
},
{
"nameLocale": "en-US",
"name": "fast food"
}
]
}
]
},
"address": {
"streetNumber": "11723",
"streetName": "NE 8th St",
"municipalitySubdivision": "Willburton, Bellevue",
"municipality": "Bellevue",
"countrySecondarySubdivision": "King",
"countryTertiarySubdivision": "Seattle East",
"countrySubdivision": "WA",
"postalCode": "98005",
"countryCode": "US",
"country": "United States",
"countryCodeISO3": "USA",
"freeformAddress": "11723 NE 8th St, Bellevue, WA 98005",
"localName": "Bellevue",
"countrySubdivisionName": "Washington"
},
"position": {
"lat": 47.61683,
"lon": -122.18338
},
"viewport": {
"topLeftPoint": {
"lat": 47.61773,
"lon": -122.18471
},
"btmRightPoint": {
"lat": 47.61593,
"lon": -122.18205
}
},
"entryPoints": [
{
"type": "main",
"position": {
"lat": 47.61723,
"lon": -122.1834
}
}
],
"detourTime": 12
}
]
}
Definitions
| Address |
The address of the result |
|
Address |
Describes the address range on both sides of the street for a search result. Coordinates for the start and end locations of the address range are included. |
|
Bounding |
The viewport that covers the result represented by the top-left and bottom-right coordinates of the viewport. |
|
Bounding |
The bounding box of the location. |
|
Brand |
The name of the brand for the POI being returned |
| Classification |
The classification for the POI being returned |
|
Classification |
Name for the classification |
|
Data |
Optional section. Reference ids for use with the Get Search Polygon API. |
| Entity |
Entity type source of the bounding box. For reverse-geocoding this is always equal to position. |
|
Entry |
The entry point for the POI being returned. |
|
Entry |
The type of entry point. Value can be either main or minor. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Geographic |
Geography entity type. Present only when entityType was requested and is available. |
|
Geo |
A valid |
| Geometry |
Information about the geometric shape of the result. Only present if type == Geography. |
|
Lat |
A location represented as a latitude and longitude using short names 'lat' & 'lon'. |
|
Localized |
The View parameter (also called the "user region" parameter) allows you to show the correct maps for a certain country/region for geopolitically disputed regions. Different countries have different views of such regions, and the View parameter allows your application to comply with the view required by the country your application will be serving. By default, the View parameter is set to “Unified” even if you haven’t defined it in the request. It is your responsibility to determine the location of your users, and then set the View parameter correctly for that location. Alternatively, you have the option to set ‘View=Auto’, which will return the map data based on the IP address of the request. The View parameter in Azure Maps must be used in compliance with applicable laws, including those regarding mapping, of the country where maps, images and other data and third party content that you are authorized to access via Azure Maps is made available. Example: view=IN. Please refer to Supported Views for details and to see the available Views. |
|
Match |
Types of match for a reverse address search operation. |
|
Operating |
Opening hours for a POI (Points of Interest). |
|
Operating |
Hours of operation for a POI (Points of Interest). The availability of hours of operation will vary based on the data available. If not passed, then no opening hours information will be returned. Supported value: nextSevenDays |
|
Operating |
Represents a date and time |
|
Operating |
Open time range for a day |
|
Point |
Details of the returned POI including information such as the name, phone, url address, and classifications. |
|
Point |
POI category |
|
Query |
The type of query being returned: NEARBY or NON_NEAR. |
|
Response |
Desired format of the response. Value can be either json or xml. |
|
Search |
This object is returned from a successful Search calls. |
|
Search |
Result object for a Search API response. |
|
Search |
One of:
|
|
Search |
This type represents the request body for the Search Along Route service. |
|
Search |
Summary object for a Search API response. |
Address
The address of the result
| Name | Type | Description |
|---|---|---|
| boundingBox |
The bounding box of the location. |
|
| buildingNumber |
|
The building number on the street. DEPRECATED, use streetNumber instead. |
| country |
|
Country name |
| countryCode |
|
Country (Note: This is a two-letter code, not a country name.) |
| countryCodeISO3 |
|
ISO alpha-3 country code |
| countrySecondarySubdivision |
|
County |
| countrySubdivision |
|
State or Province |
| countrySubdivisionName |
|
The full name of a first level of country administrative hierarchy. This field appears only in case countrySubdivision is presented in an abbreviated form. Only supported for USA, Canada, and Great Britain. |
| countryTertiarySubdivision |
|
Named Area |
| crossStreet |
|
The name of the street being crossed. |
| extendedPostalCode |
|
Extended postal code (availability is dependent on the region). |
| freeformAddress |
|
An address line formatted according to the formatting rules of a Result's country of origin, or in the case of a country, its full country name. |
| localName |
|
An address component which represents the name of a geographic area or locality that groups a number of addressable objects for addressing purposes, without being an administrative unit. This field is used to build the |
| municipality |
|
City / Town |
| municipalitySubdivision |
|
Sub / Super City |
| postalCode |
|
Postal Code / Zip Code |
| routeNumbers |
|
The codes used to unambiguously identify the street |
| street |
|
The street name. DEPRECATED, use streetName instead. |
| streetName |
|
The street name. |
| streetNameAndNumber |
|
The street name and number. |
| streetNumber |
|
The building number on the street. |
AddressRanges
Describes the address range on both sides of the street for a search result. Coordinates for the start and end locations of the address range are included.
| Name | Type | Description |
|---|---|---|
| from |
A location represented as a latitude and longitude using short names 'lat' & 'lon'. |
|
| rangeLeft |
|
Address range on the left side of the street. |
| rangeRight |
|
Address range on the right side of the street. |
| to |
A location represented as a latitude and longitude using short names 'lat' & 'lon'. |
BoundingBox
The viewport that covers the result represented by the top-left and bottom-right coordinates of the viewport.
| Name | Type | Description |
|---|---|---|
| btmRightPoint |
A location represented as a latitude and longitude using short names 'lat' & 'lon'. |
|
| topLeftPoint |
A location represented as a latitude and longitude using short names 'lat' & 'lon'. |
BoundingBoxCompassNotation
The bounding box of the location.
| Name | Type | Description |
|---|---|---|
| entity |
Entity type source of the bounding box. For reverse-geocoding this is always equal to position. |
|
| northEast |
|
North-east latitude,longitude coordinate of the bounding box as comma-separated floats |
| southWest |
|
South-west latitude,longitude coordinate of the bounding box as comma-separated floats |
BrandName
The name of the brand for the POI being returned
| Name | Type | Description |
|---|---|---|
| name |
|
Name of the brand |
Classification
The classification for the POI being returned
| Name | Type | Description |
|---|---|---|
| code |
|
Code property |
| names |
Names array |
ClassificationName
Name for the classification
| Name | Type | Description |
|---|---|---|
| name |
|
Name property |
| nameLocale |
|
Name Locale property |
DataSources
Optional section. Reference ids for use with the Get Search Polygon API.
| Name | Type | Description |
|---|---|---|
| geometry |
Information about the geometric shape of the result. Only present if type == Geography. |
Entity
Entity type source of the bounding box. For reverse-geocoding this is always equal to position.
| Name | Type | Description |
|---|---|---|
| position |
|
Position entity |
EntryPoint
The entry point for the POI being returned.
| Name | Type | Description |
|---|---|---|
| position |
A location represented as a latitude and longitude using short names 'lat' & 'lon'. |
|
| type |
The type of entry point. Value can be either main or minor. |
EntryPointType
The type of entry point. Value can be either main or minor.
| Name | Type | Description |
|---|---|---|
| main |
|
|
| minor |
|
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
|
The additional info. |
| type |
|
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
|
The error code. |
| details |
The error details. |
|
| message |
|
The error message. |
| target |
|
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
GeographicEntityType
Geography entity type. Present only when entityType was requested and is available.
| Name | Type | Description |
|---|---|---|
| Country |
|
Country name |
| CountrySecondarySubdivision |
|
County |
| CountrySubdivision |
|
State or Province |
| CountryTertiarySubdivision |
|
Named Area |
| Municipality |
|
City / Town |
| MunicipalitySubdivision |
|
Sub / Super City |
| Neighbourhood |
|
Neighbourhood |
| PostalCodeArea |
|
Postal Code / Zip Code |
GeoJsonLineString
A valid GeoJSON LineString geometry type. Please refer to RFC 7946 for details.
| Name | Type | Description |
|---|---|---|
| coordinates |
|
Coordinates for the |
| type |
string:
|
Specifies the |
Geometry
Information about the geometric shape of the result. Only present if type == Geography.
| Name | Type | Description |
|---|---|---|
| id |
|
Pass this as geometryId to the Get Search Polygon API to fetch geometry information for this result. |
LatLongPairAbbreviated
A location represented as a latitude and longitude using short names 'lat' & 'lon'.
| Name | Type | Description |
|---|---|---|
| lat |
|
Latitude property |
| lon |
|
Longitude property |
LocalizedMapView
The View parameter (also called the "user region" parameter) allows you to show the correct maps for a certain country/region for geopolitically disputed regions. Different countries have different views of such regions, and the View parameter allows your application to comply with the view required by the country your application will be serving. By default, the View parameter is set to “Unified” even if you haven’t defined it in the request. It is your responsibility to determine the location of your users, and then set the View parameter correctly for that location. Alternatively, you have the option to set ‘View=Auto’, which will return the map data based on the IP address of the request. The View parameter in Azure Maps must be used in compliance with applicable laws, including those regarding mapping, of the country where maps, images and other data and third party content that you are authorized to access via Azure Maps is made available. Example: view=IN.
Please refer to Supported Views for details and to see the available Views.
| Name | Type | Description |
|---|---|---|
| AE |
|
United Arab Emirates (Arabic View) |
| AR |
|
Argentina (Argentinian View) |
| Auto |
|
Return the map data based on the IP address of the request. |
| BH |
|
Bahrain (Arabic View) |
| IN |
|
India (Indian View) |
| IQ |
|
Iraq (Arabic View) |
| JO |
|
Jordan (Arabic View) |
| KW |
|
Kuwait (Arabic View) |
| LB |
|
Lebanon (Arabic View) |
| MA |
|
Morocco (Moroccan View) |
| OM |
|
Oman (Arabic View) |
| PK |
|
Pakistan (Pakistani View) |
| PS |
|
Palestinian Authority (Arabic View) |
| QA |
|
Qatar (Arabic View) |
| SA |
|
Saudi Arabia (Arabic View) |
| SY |
|
Syria (Arabic View) |
| Unified |
|
Unified View (Others) |
| YE |
|
Yemen (Arabic View) |
MatchType
Types of match for a reverse address search operation.
| Name | Type | Description |
|---|---|---|
| AddressPoint |
|
|
| HouseNumberRange |
|
|
| Street |
|
OperatingHours
Opening hours for a POI (Points of Interest).
| Name | Type | Description |
|---|---|---|
| mode |
|
Value used in the request: none or "nextSevenDays" |
| timeRanges |
List of time ranges for the next 7 days |
OperatingHoursRange
Hours of operation for a POI (Points of Interest). The availability of hours of operation will vary based on the data available. If not passed, then no opening hours information will be returned. Supported value: nextSevenDays
| Name | Type | Description |
|---|---|---|
| nextSevenDays |
|
Shows the hours of operation for the next week, starting with the current day in the local time of the POI. |
OperatingHoursTime
Represents a date and time
| Name | Type | Description |
|---|---|---|
| date |
|
Represents current calendar date in POI time zone, e.g. "2019-02-07". |
| hour |
|
Hours are in the 24 hour format in the local time of a POI; possible values are 0 - 23. |
| minute |
|
Minutes are in the local time of a POI; possible values are 0 - 59. |
OperatingHoursTimeRange
Open time range for a day
| Name | Type | Description |
|---|---|---|
| endTime |
The point in the next 7 days range when a given POI is being closed, or the beginning of the range if it was closed before the range. |
|
| startTime |
The point in the next 7 days range when a given POI is being opened, or the beginning of the range if it was opened before the range. |
PointOfInterest
Details of the returned POI including information such as the name, phone, url address, and classifications.
| Name | Type | Description |
|---|---|---|
| brands |
Brands array. The name of the brand for the POI being returned. |
|
| categories |
|
Categories array |
| categorySet |
The list of the most specific POI categories |
|
| classifications |
Classification array |
|
| name |
|
Name of the POI property |
| openingHours |
Opening hours for a POI (Points of Interest). |
|
| phone |
|
Telephone number property |
| url |
|
Website URL property |
PointOfInterestCategorySet
POI category
| Name | Type | Description |
|---|---|---|
| id |
|
Category ID |
QueryType
The type of query being returned: NEARBY or NON_NEAR.
| Name | Type | Description |
|---|---|---|
| NEARBY |
|
Search was performed around a certain latitude and longitude with a defined radius |
| NON_NEAR |
|
Search was performed globally, without biasing to a certain latitude and longitude, and no defined radius |
ResponseFormat
Desired format of the response. Value can be either json or xml.
| Name | Type | Description |
|---|---|---|
| json |
|
|
| xml |
|
SearchAddressResult
This object is returned from a successful Search calls.
| Name | Type | Description |
|---|---|---|
| results |
A list of Search API results. |
|
| summary |
Summary object for a Search API response |
SearchAddressResultItem
Result object for a Search API response.
| Name | Type | Description |
|---|---|---|
| address |
The address of the result |
|
| addressRanges |
Describes the address range on both sides of the street for a search result. Coordinates for the start and end locations of the address range are included. |
|
| dataSources |
Optional section. Reference geometry id for use with the Get Search Polygon API. |
|
| detourTime |
|
Detour time in seconds. Only returned for calls to the Search Along Route API. |
| dist |
|
Straight line distance between the result and geobias location in meters. |
| entityType |
Geography entity type. Present only when entityType was requested and is available. |
|
| entryPoints |
Array of EntryPoints. Those describe the types of entrances available at the location. The type can be "main" for main entrances such as a front door, or a lobby, and "minor", for side and back doors. |
|
| id |
|
Id property |
| info |
|
Information about the original data source of the Result. Used for support requests. |
| matchType |
Information on the type of match. One of:
|
|
| poi |
Details of the returned POI including information such as the name, phone, url address, and classifications. |
|
| position |
A location represented as a latitude and longitude using short names 'lat' & 'lon'. |
|
| score |
|
The value within a result set to indicate the relative matching score between results. You can use this to determine that result x is twice as likely to be as relevant as result y if the value of x is 2x the value of y. The values vary between queries and is only meant as a relative value for one result set. |
| type |
One of:
|
|
| viewport |
The viewport that covers the result represented by the top-left and bottom-right coordinates of the viewport. |
SearchAddressResultType
One of:
- POI
- Street
- Geography
- Point Address
- Address Range
- Cross Street
| Name | Type | Description |
|---|---|---|
| Address Range |
|
|
| Cross Street |
|
|
| Geography |
|
|
| POI |
|
|
| Point Address |
|
|
| Street |
|
SearchAlongRouteRequest
This type represents the request body for the Search Along Route service.
| Name | Type | Description |
|---|---|---|
| route |
A valid |
SearchSummary
Summary object for a Search API response.
| Name | Type | Description |
|---|---|---|
| fuzzyLevel |
|
The maximum fuzzy level required to provide Results. |
| geoBias |
Indication when the internal search engine has applied a geospatial bias to improve the ranking of results. In some methods, this can be affected by setting the lat and lon parameters where available. In other cases it is purely internal. |
|
| limit |
|
Maximum number of responses that will be returned |
| numResults |
|
Number of results in the response. |
| offset |
|
The starting offset of the returned Results within the full Result set. |
| query |
|
The query parameter that was used to produce these search results. |
| queryTime |
|
Time spent resolving the query, in milliseconds. |
| queryType |
The type of query being returned: NEARBY or NON_NEAR. |
|
| totalResults |
|
The total number of Results found. |